{
	"artifacts" : 
	[
		{
			"path" : "app_XHHW"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"install",
			"link_directories",
			"target_link_libraries",
			"include_directories"
		],
		"files" : 
		[
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 29,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 35,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 11,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 19,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 31,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 10,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 13,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 14,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 15,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 16,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 17,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-O1 -g"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 6,
					"path" : "/opt/arago-2023.04/sysroots/aarch64-oe-linux/usr/local/include"
				},
				{
					"backtrace" : 7,
					"path" : "/home/zw/zhouwei/test/xianhe/app_XHTC/include"
				},
				{
					"backtrace" : 8,
					"path" : "/home/zw/zhouwei/test/xianhe/app_XHTC/src"
				},
				{
					"backtrace" : 9,
					"path" : "/home/zw/zhouwei/test/xianhe/app_XHTC/ptimer"
				},
				{
					"backtrace" : 10,
					"path" : "/home/zw/zhouwei/test/xianhe/app_XHTC/easylog"
				},
				{
					"backtrace" : 11,
					"path" : "/home/zw/zhouwei/test/xianhe/app_XHTC/cJSON"
				}
			],
			"language" : "C",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5,
				6,
				7,
				8,
				9,
				10,
				11,
				12,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				22,
				23,
				24,
				25,
				26,
				27,
				28
			],
			"sysroot" : 
			{
				"path" : "/opt/arago-2023.04/sysroots/aarch64-oe-linux"
			}
		}
	],
	"id" : "app_XHHW::@6890427a1f51a3e7e1df",
	"install" : 
	{
		"destinations" : 
		[
			{
				"backtrace" : 2,
				"path" : "bin"
			}
		],
		"prefix" : 
		{
			"path" : "./bin"
		}
	},
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-O1 -g",
				"role" : "flags"
			},
			{
				"fragment" : "",
				"role" : "flags"
			},
			{
				"backtrace" : 3,
				"fragment" : "-L/opt/arago-2023.04/sysroots/aarch64-oe-linux/usr/local/lib",
				"role" : "libraryPath"
			},
			{
				"backtrace" : 4,
				"fragment" : "-L/home/zw/zhouwei/test/xianhe/app_XHTC/lib",
				"role" : "libraryPath"
			},
			{
				"fragment" : "-Wl,-rpath,/usr/local/lib:/home/zw/zhouwei/test/xianhe/app_XHTC/lib:",
				"role" : "libraries"
			},
			{
				"backtrace" : 5,
				"fragment" : "-lssl",
				"role" : "libraries"
			},
			{
				"backtrace" : 5,
				"fragment" : "-lcrypto",
				"role" : "libraries"
			},
			{
				"backtrace" : 5,
				"fragment" : "-lpthread",
				"role" : "libraries"
			},
			{
				"backtrace" : 5,
				"fragment" : "-lm",
				"role" : "libraries"
			},
			{
				"backtrace" : 5,
				"fragment" : "-ldl",
				"role" : "libraries"
			}
		],
		"language" : "C",
		"sysroot" : 
		{
			"path" : "/opt/arago-2023.04/sysroots/aarch64-oe-linux"
		}
	},
	"name" : "app_XHHW",
	"nameOnDisk" : "app_XHHW",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5,
				6,
				7,
				8,
				9,
				10,
				11,
				12,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				22,
				23,
				24,
				25,
				26,
				27,
				28
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/acrel_DJSF1352RN.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/ast_XH.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/com_CAN.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/com_ttySx.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/config.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/goose_HW.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/goose_HW_decode.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/goose_HW_encode.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/hmac_sha256.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/logger.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/main.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/modbus_RTU.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/modbus_TCP_HW.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/rs232test.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/rs485test.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/stm32f103.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/tcXHHW.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/tc_system.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/tc_tcu.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/tc_thread.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "ptimer/ptimer.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "easylog/elog.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "easylog/elog_async.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "easylog/elog_file.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "easylog/elog_file_port.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "easylog/elog_port.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "easylog/elog_utils.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "cJSON/cJSON.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "cJSON/cJSON_Utils.c",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "EXECUTABLE"
}
